/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34951A.h"



/// <summary>
/// Configures the voltage output.
/// </summary>
/// <remarks>
/// 
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="ChannelList">
///	One or more channels in the form sccc, where s is the slot number and ccc is the channel number.  Select from s001, s002, s003, or s004.
/// </param>
/// <param name="Level">
///	Desired voltage level in Volts. 
/// </param>
HRESULT Agilent34951A::IAgilent34951AVoltage_Configure(BSTR ChannelList, double Level)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


/// <summary>
///	Sets a or gets voltage gain for scaled trace outputs on the specified channels on the 34951A Isolated DAC Module.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc, where s is the slot number and ccc is the channel number.  Select from s001, s002, s003, or s004.
/// </param>
HRESULT Agilent34951A::IAgilent34951AVoltage_get_Gain(BSTR ChannelList, double* val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommand(val);

	return hr;
}


/// <summary>
///	Sets a or gets voltage gain for scaled trace outputs on the specified channels on the 34951A Isolated DAC Module.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc, where s is the slot number and ccc is the channel number.  Select from s001, s002, s003, or s004.
/// </param>
HRESULT Agilent34951A::IAgilent34951AVoltage_put_Gain(BSTR ChannelList, double val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


/// <summary>
///	Sets or gets the output voltage level for the specified channels.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc, where s is the slot number and ccc is the channel number.  Select from s001, s002, s003, or s004.
///	 34951A: s001, s002, s003, s004, 
///	34952A: s006, s007
/// </param>
HRESULT Agilent34951A::IAgilent34951AVoltage_get_Level(BSTR ChannelList, double* val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommand(val);

	return hr;
}


/// <summary>
///	Sets or gets the output voltage level for the specified channels.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc. 34951A: s001, s002, s003, s004, 34952A: s006, s007
/// </param>
HRESULT Agilent34951A::IAgilent34951AVoltage_put_Level(BSTR ChannelList, double val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


/// <summary>
///	Sets or gets a voltage offset for scaled trace outputs on the specified channels on the 34951A Isolated DAC Module.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc. Select from s001, s002, s003, or s004
/// </param>
HRESULT Agilent34951A::IAgilent34951AVoltage_get_Offset(BSTR ChannelList, double* val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommand(val);

	return hr;
}


/// <summary>
///	Sets or gets a voltage offset for scaled trace outputs on the specified channels on the 34951A Isolated DAC Module.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc. Select from s001, s002, s003, or s004
/// </param>
HRESULT Agilent34951A::IAgilent34951AVoltage_put_Offset(BSTR ChannelList, double val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


